Bug 1291176 (CVE-2015-8000) - CVE-2015-8000 bind: responses with a malformed class attribute can trigger an assertion failure in db.c
Summary: CVE-2015-8000 bind: responses with a malformed class attribute can trigger an...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8000
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1291178 1291179 1291180 1291181 1291183 1291184 1291909 1291910 1300758 1300760 1300761
Blocks: 1291188
TreeView+ depends on / blocked
 
Reported: 2015-12-14 08:59 UTC by Martin Prpič
Modified: 2019-09-29 13:40 UTC (History)
6 users (show)

Fixed In Version: bind 9.9.8-P2, bind 9.10.3-P2
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way BIND processed certain records with malformed class attributes. A remote attacker could use this flaw to send a query to request a cached record with a malformed class attribute that would cause named functioning as an authoritative or recursive server to crash. Note: This issue affects authoritative servers as well as recursive servers, however authoritative servers are at limited risk if they perform authentication when making recursive queries to resolve addresses for servers listed in NS RRSETs.
Clone Of:
Environment:
Last Closed: 2015-12-17 03:08:24 UTC


Attachments (Terms of Use)
Relevant diff between 9.9.8-P2 and 9.9.8 (12.80 KB, patch)
2015-12-14 09:21 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
Extracted part of the fix for CVE-2015-8000 (4.99 KB, patch)
2015-12-14 12:41 UTC, Tomáš Hozza 🤓
no flags Details | Diff
Patch for BIND 9.9.4 (5.34 KB, patch)
2015-12-14 14:39 UTC, Tomáš Hozza 🤓
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2655 normal SHIPPED_LIVE Important: bind security update 2015-12-16 22:19:14 UTC
Red Hat Product Errata RHSA-2015:2656 normal SHIPPED_LIVE Important: bind security update 2015-12-16 21:53:58 UTC
Red Hat Product Errata RHSA-2015:2658 normal SHIPPED_LIVE Important: bind97 security update 2015-12-16 22:44:29 UTC
Red Hat Product Errata RHSA-2016:0078 normal SHIPPED_LIVE Important: bind security update 2016-01-28 18:27:03 UTC
Red Hat Product Errata RHSA-2016:0079 normal SHIPPED_LIVE Important: bind security update 2016-01-28 18:45:17 UTC

Description Martin Prpič 2015-12-14 08:59:37 UTC
The following flaw, reported by ISC, was found in BIND version 9 (9.0.0 through 9.9.8, 9.10.0 through 9.10.3):

An error in the parsing of incoming responses allows some records with an incorrect class to be be accepted by BIND instead of being rejected as malformed. This can trigger a REQUIRE assertion failure when those records are subsequently cached. Intentional exploitation of this condition is possible and could be used as a denial-of-service vector against servers performing recursive queries.

An attacker who can cause a server to request a record with a malformed class attribute can use this bug to trigger a REQUIRE assertion in db.c, causing named to exit and denying service to clients. The risk to recursive servers is high. Authoritative servers are at limited risk if they perform authentication when making recursive queries to resolve addresses for servers listed in NS RRSETs.

Comment 1 Martin Prpič 2015-12-14 09:00:10 UTC
Acknowledgements:

Red Hat would like to thank ISC for reporting this issue.

Comment 5 Huzaifa S. Sidhpurwala 2015-12-14 09:21:29 UTC
Created attachment 1105523 [details]
Relevant diff between 9.9.8-P2 and 9.9.8

Comment 6 Tomáš Hozza 🤓 2015-12-14 12:41:32 UTC
Created attachment 1105569 [details]
Extracted part of the fix for CVE-2015-8000

Comment 8 Tomáš Hozza 🤓 2015-12-14 14:39:04 UTC
Created attachment 1105581 [details]
Patch for BIND 9.9.4

Comment 10 Tomas Hoger 2015-12-15 21:02:00 UTC
Public now via upstream advisory.

External References:

https://kb.isc.org/article/AA-01317

Comment 11 Tomas Hoger 2015-12-15 21:07:15 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1291909]

Comment 12 Tomas Hoger 2015-12-15 21:07:20 UTC
Created bind99 tracking bugs for this issue:

Affects: fedora-all [bug 1291910]

Comment 13 errata-xmlrpc 2015-12-16 16:54:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:2656 https://rhn.redhat.com/errata/RHSA-2015-2656.html

Comment 14 errata-xmlrpc 2015-12-16 17:20:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2655 https://rhn.redhat.com/errata/RHSA-2015-2655.html

Comment 15 errata-xmlrpc 2015-12-16 17:45:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:2658 https://rhn.redhat.com/errata/RHSA-2015-2658.html

Comment 17 Fedora Update System 2015-12-19 18:24:42 UTC
bind99-9.9.8-1.P2.fc23, dhcp-4.3.3-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-12-19 18:24:54 UTC
bind-9.10.3-7.P2.fc23, bind-dyndb-ldap-8.0-4.fc23, dnsperf-2.0.0.0-19.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-12-22 07:22:42 UTC
bind-9.10.3-7.P2.fc22, bind-dyndb-ldap-7.0-6.fc22, dnsperf-2.0.0.0-19.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-12-28 23:52:20 UTC
bind99-9.9.8-1.P2.fc22, dhcp-4.3.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 errata-xmlrpc 2016-01-28 13:28:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 AUS - Server Only
  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2016:0078 https://rhn.redhat.com/errata/RHSA-2016-0078.html

Comment 24 errata-xmlrpc 2016-01-28 13:46:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 EUS - Server and Compute Node Only

Via RHSA-2016:0079 https://rhn.redhat.com/errata/RHSA-2016-0079.html


Note You need to log in before you can comment on or make changes to this bug.